For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns all task statuses of the project with the specified id.
      • POSTCreates a new task status for the specified project.
      • GETReturns the specified task status of a project.
      • PUTUpdates a task status for the specified project.
      • POSTDeletes the task status with the specified id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Statuses

Deletes the task status with the specified id.

POST
https://api.awork.com/api/v1/projects/:projectId/taskstatuses/:taskStatusId/delete
POST
/api/v1/projects/:projectId/taskstatuses/:taskStatusId/delete
$curl -X POST https://api.awork.com/api/v1/projects/projectId/taskstatuses/taskStatusId/delete \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}
If the status to delete is still used by tasks, another task status to move the tasks to must be provided. The last status of type 'todo' or 'done' cannot be deleted. <Check title="Required Permissions" icon="key">The user must either have `project-planning-data:write` permissions or must be creator of the project.</Check>
Was this page helpful?
Previous

Returns all task lists of the project with the specified id.

Next
Built with

If the status to delete is still used by tasks, another task status to move the tasks to must be provided. The last status of type ‘todo’ or ‘done’ cannot be deleted.

Required Permissions
The user must either have project-planning-data:write permissions or must be creator of the project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.
taskStatusIdstringRequiredformat: "uuid"
The id of the task status.

Request

The model containing the id of the new task status to move tasks to.
taskStatusIdstring or nullOptionalformat: "uuid"
The id of the task status all related tasks will be changed to.

Response

No Content

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error